package sharin.doc.builder.xhtml1;

public class ImgElem extends GenericCommonElem<ImgElem> {

    public ImgElem(Object... nodes) {
        super("img", nodes);
    }

    public ImgElem align(Object value) {
        return attr("align", value);
    }

    public ImgElem alignBottom() {
        return align("bottom");
    }

    public ImgElem alignLeft() {
        return align("left");
    }

    public ImgElem alignMiddle() {
        return align("middle");
    }

    public ImgElem alignRight() {
        return align("right");
    }

    public ImgElem alignTop() {
        return align("top");
    }

    public ImgElem alt(Object value) {
        return attr("alt", value);
    }

    public ImgElem border(Object value) {
        return attr("border", value);
    }

    public ImgElem height(Object value) {
        return attr("height", value);
    }

    public ImgElem hspace(Object value) {
        return attr("hspace", value);
    }

    public ImgElem ismap(boolean ismap) {
        return ismap ? ismap("ismap") : this;
    }

    public ImgElem ismap(Object value) {
        return attr("ismap", value);
    }

    public ImgElem longdesc(Object value) {
        return attr("longdesc", value);
    }

    public ImgElem name(Object value) {
        return attr("name", value);
    }

    public ImgElem src(Object value) {
        return attr("src", value);
    }

    public ImgElem usemap(Object value) {
        return attr("usemap", value);
    }

    public ImgElem vspace(Object value) {
        return attr("vspace", value);
    }

    public ImgElem width(Object value) {
        return attr("width", value);
    }
}
